All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.jdbc.export
Interface ExportInterface

All Known Subinterfaces:
  OLAPExportInterface

    public interface ExportInterface

Contains static values useful to the export commands.

Since:
  3.1

Field Summary
`static int` | `CSV` Represents the Comma Separated Values (CSV) export format.
`static int` | `EXCEL_XML` Represents the MS Excel XML export format.
`static int` | `HTML` Represents the HTML export format.
`static boolean` | `RAW_DATA` Indicates that non formatted data will be exported.
`static int` | `ROW_COUNT` Indicates that all the available rows of data in the model will be exported.
`static int` | `START_ROW` Indicates that the data will be exported starting from the first row.
`static int` | `TSV` Represents the Tab Separated Values (TSV) export format.

Field Detail

### START_ROW

    static final int START_ROW

  Indicates that the data will be exported starting from the first row. 0

  See Also:
    Constant Field Values

### ROW_COUNT

    static final int ROW_COUNT

  Indicates that all the available rows of data in the model will be exported. -1

  See Also:
    Constant Field Values

### RAW_DATA

    static final boolean RAW_DATA

  Indicates that non formatted data will be exported. false

  See Also:
    Constant Field Values

### TSV

    static final int TSV

  Represents the Tab Separated Values (TSV) export format. 0

  See Also:
    Constant Field Values

### CSV

    static final int CSV

  Represents the Comma Separated Values (CSV) export format. 1

  See Also:
    Constant Field Values

### EXCEL_XML

    static final int EXCEL_XML

  Represents the MS Excel XML export format. 2

  See Also:
    Constant Field Values

### HTML

    static final int HTML

  Represents the HTML export format. 3

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.